# Generated via dconf2nix: https://github.com/gvolpe/dconf2nix
{ lib, ... }:

with lib.hm.gvariant;

{
  dconf.settings = {
    "org/gnome/shell/extensions/user-theme" = {
      name = "vimix-dark-doder";
    };

    "org/gnome/desktop/interface" = {
      clock-show-date = true;
      clock-show-seconds = false;
      clock-show-weekday = true;
      color-scheme = "prefer-dark";
      cursor-theme = "Adwaita";
      document-font-name = "Sans 10";
      enable-animations = true;
      enable-hot-corners = false;
      font-antialiasing = "grayscale";
      font-hinting = "slight";
      font-name = "Noto Sans 10";
      #gtk-enable-primary-paste = false;
      gtk-theme = "Colloid-Dark";
      icon-theme = "Flat-Remix-Blue-Dark";
      locate-pointer = false;
      monospace-font-name = "Hack 11";
      show-battery-percentage = true;
      text-scaling-factor = 1.0;
      toolkit-accessibility = false;
    };

    "org/gnome/desktop/wm/preferences" = {
      action-middle-click-titlebar = "none";
      auto-raise = false;
      button-layout = "appmenu:minimize,maximize,close";
      focus-mode = "click";
      #focus-new-windows = "strict";
      focus-new-windows = "smart";
      resize-with-right-button = false;
      titlebar-font = "Cantarell Bold 11";
    };

    "org/gnome/shell/overrides" = {
      dynamic-workspaces = true;
    };

    "org/gnome/tweaks" = {
      show-extensions-notice = false;
    };

    "org/gnome/mutter" = {
      dynamic-workspaces = true;
      workspaces-only-on-primary = true;
    };

    "org/gnome/desktop/calendar" = {
      show-weekdate = true;
    };

    "org/gnome/desktop/privacy" = {
      disable-microphone = false;
      old-files-age = mkUint32 30;
      recent-files-max-age = -1;
    };

  };
}
